Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

SAP Internet Transaction Server < 6.20 Patch 18 wgate urlmime Parameter XSS

Medium

Synopsis

The remote web server contains a CGI script that is vulnerable to a cross-site scripting attack.

Description

The remote web server contains a CGI script that is vulnerable to a cross-site scripting attack. The remote web server fails to sanitize the contents of the 'urlmime' parameter to the '/scripts/wgate' script before using it to generate dynamic web content. An unauthenticated remote attacker may be able to leverage this issue to inject arbitrary HTML and script code into a user's browser to be evaluated within the security context of the affected web site.

Solution

Upgrade to version 6.20 Patch 18 or higher.